%define component_name duckstation

Name: duckstation
Version: git.2d78b3f.20230610
Release: remix3
License: GPLv3
Summary: DuckStation - PlayStation 1, aka. PSX Emulator
Group: Games/Emulators
Packager: Vadim Morozov <vadim@morozoff.pro>
#BuildArch: x86_64

Source0: https://github.com/stenzek/duckstation/archive/refs/heads/latest.zip
#Source0: https://github.com/stenzek/duckstation/archive/refs/heads/dev.zip
BuildRequires: qt6-tools-devel qt6-tools libSDL2-devel libXrandr-devel libwayland-egl-devel libwayland-egl-devel wayland-devel xorg-xwayland-devel egl-wayland-devel extra-cmake-modules libcurl-devel libcurl-gnutls-compat ninja-build libgbm-devel libdrm-devel libevdev-devel 
## optional deps libspeexdsp-devel doxygen
Requires: libSDL2 qt6-base-common

%description
DuckStation is an simulator/emulator of the Sony PlayStation(TM) console, focusing on playability, speed, and long-term maintainability

%prep
%setup -qn duckstation-latest

%build
mkdir build
pushd build
cmake -Bbuild-release -DCMAKE_BUILD_TYPE=Release -GNinja ..
cmake --build build-release --parallel

%install
mkdir -p %{buildroot}/opt/duckstation
mkdir -p %{buildroot}/usr/share/applications
mkdir -p %{buildroot}/usr/share/pixmaps
mkdir -p %{buildroot}/usr/bin
cp -rv build/build-release/bin %{buildroot}/opt/duckstation
cp -rv build/build-release/bin/resources/images/duck.png %{buildroot}/usr/share/pixmaps

cat > %{buildroot}/usr/share/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Duckstation
Comment=%{summary}
Exec=/usr/bin/duckstation-qt
Icon=/usr/share/pixmaps/duck.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;Emulator;
EOF

%files
/opt/*
/usr/share/*

%post 
rm -rf /usr/bin/duckstation-qt
rm -rf  %{_datadir}/pixmaps/%{name}.png
ln -s /opt/duckstation/bin/duckstation-qt /usr/bin/duckstation-qt




